---
title: Get MessageBundles
slug: api-documentation/get-messagebundles
docTags: 
createdAt: 2026-08-27T16:56:53.565Z
---

{
  "id": "9jJ57YxZ_CwELjWGnpm0H",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "//v1/message-bundles/{category}/{locale}",
    "servers": [
      {
        "url": "//v1/message-bundles/{category}/{locale}"
      },
      {
        "url": "https://api.upstartcommerce.com//v1/message-bundles/{category}/{locale}"
      }
    ],
    "name": "Get MessageBundles",
    "description": "<p>This endpoint returns MessageBundles.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>message-bundle.read</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "category",
          "type": "string",
          "description": "Unique identifier for a message bundle category."
        },
        {
          "kind": "required",
          "name": "locale",
          "type": "string",
          "description": "Unique identifier for a message bundle locale."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKey",
          "name": "X-UpStart-API-Key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        },
        {
          "id": "Session",
          "name": "X-UpStart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success–message-bundle details returned.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "MessageBundle[]",
            "schema": [
              {
                "name": "category",
                "kind": "required",
                "type": "string",
                "description": "",
                "modelRef": "#/components/schemas/BundleCategory",
                "customType": "BundleCategory",
                "schema": []
              },
              {
                "name": "locale",
                "kind": "required",
                "type": "string",
                "description": "",
                "modelRef": "#/components/schemas/BundleLocale",
                "customType": "BundleLocale",
                "schema": []
              },
              {
                "name": "key",
                "kind": "required",
                "type": "string",
                "description": "",
                "modelRef": "#/components/schemas/BundleKey",
                "customType": "BundleKey",
                "schema": []
              },
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message."
              }
            ],
            "modelRef": "#/components/schemas/MessageBundle",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "Internal server error.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "Luo7qW5bGDjRhi_iqglzL",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url //v1/message-bundles/{category}/{locale} \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "pLtXjoJUZKYqPtEgmfaoS",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"//v1/message-bundles/{category}/{locale}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "oCDIKi-a-y5JVpjznoN9p",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"//v1/message-bundles/{category}/{locale}\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "GB_Nb_z70hQ_BlE5XS22A",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"//v1/message-bundles/{category}/{locale}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "Luo7qW5bGDjRhi_iqglzL"
    },
    "results": {
      "languages": [
        {
          "id": "WQZTX00Ce6Ehej-TTphkh",
          "language": "200",
          "code": "// Success–message-bundle details returned.\n[\n  {\n    \"category\": \"\",\n    \"locale\": \"\",\n    \"key\": \"\",\n    \"message\": \"\"\n  }\n]"
        },
        {
          "id": "rL04Hfyx9Q6RiTCmKaOKh",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "6paviIkpbypnfW9Jm4QWU",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "WSY9qY8dFEReyicmdiOf5",
          "language": "500",
          "code": "// Internal server error.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "WQZTX00Ce6Ehej-TTphkh"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}